aboutsummaryrefslogtreecommitdiff
path: root/contrib/bsddialog/examples_utility/pause.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/bsddialog/examples_utility/pause.sh')
-rwxr-xr-xcontrib/bsddialog/examples_utility/pause.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/contrib/bsddialog/examples_utility/pause.sh b/contrib/bsddialog/examples_utility/pause.sh
new file mode 100755
index 000000000000..225549dddffb
--- /dev/null
+++ b/contrib/bsddialog/examples_utility/pause.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+#-
+# SPDX-License-Identifier: CC0-1.0
+#
+# Written in 2021 by Alfonso Sabato Siciliano.
+#
+# To the extent possible under law, the author has dedicated all copyright
+# and related and neighboring rights to this software to the public domain
+# worldwide. This software is distributed without any warranty, see:
+# <http://creativecommons.org/publicdomain/zero/1.0/>.
+
+: ${BSDDIALOG_ERROR=255}
+: ${BSDDIALOG_OK=0}
+: ${BSDDIALOG_CANCEL=1}
+: ${BSDDIALOG_TIMEOUT=4}
+: ${BSDDIALOG_ESC=5}
+
+./bsddialog --title " pause " --pause "Hello World!" 7 35 10
+
+case $? in
+ $BSDDIALOG_ERROR )
+ exit 1
+ ;;
+ $BSDDIALOG_ESC )
+ echo "[ESC]"
+ ;;
+ $BSDDIALOG_TIMEOUT )
+ echo "[TIMEOUT]"
+ ;;
+ $BSDDIALOG_CANCEL )
+ echo "[Cancel]"
+ ;;
+ $BSDDIALOG_OK )
+ echo "[OK]"
+ ;;
+esac